Bug 466247 - Information about boot process ends only in /var/log/boot.log, not on screen
Information about boot process ends only in /var/log/boot.log, not on screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
10
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 08:46 EDT by Adam Tkac
Modified: 2013-04-30 19:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:32:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2008-10-09 08:46:45 EDT
Description of problem:
When I'm booting machine last message shown in virtual console is that SELinux policy is loaded. After that (new root & plymouth is started) all information ends in /var/log/boot.log but it is not duplicated to virtual console.

When I create initrd without plymouth stuff boot process is written to console as expected.

Version-Release number of selected component (if applicable):
# rpm -qa |grep plymouth
plymouth-plugin-solar-0.6.0-0.2008.10.06.1.fc10.ppc
plymouth-plugin-label-0.6.0-0.2008.10.06.1.fc10.ppc
plymouth-0.6.0-0.2008.10.06.1.fc10.ppc
plymouth-libs-0.6.0-0.2008.10.06.1.fc10.ppc

How reproducible:
always

Steps to Reproduce:
1. boot kernel with initrd with plymouth stuff
  
Actual results:
no messages printed to console after plymouth is started, messages ends in /var/log/boot.log only

Expected results:
messages in /var/log/boot.log and on console as well

Additional info:
I'm able to reproduce this problem only on ppc (I don't test it on other archs) when I access it through KVM switch. Text boot works as expected on my x86_64 laptop/workstation. Let me know if you need access to test hardware.
Comment 1 Ray Strode [halfline] 2008-10-09 11:01:11 EDT
what's the output of

cat /proc/cmdline

and 

/usr/sbin/plymouth-set-default-plugin 

?
Comment 2 Adam Tkac 2008-10-09 11:45:59 EDT
Well, with latest plymouth (0.6.0-0.2008.10.08.1.fc10) I'm able to boot with "console=hvc0" so output is:

# cat /proc/cmdline 
ro console=hvc0 ro root=UUID=bd292de0-344c-44ab-9c98-069967e63079 
# /usr/sbin/plymouth-set-default-plugin 
text
Comment 3 Ray Strode [halfline] 2008-10-09 12:27:13 EDT
Oh, so is the issue that messages are going to the serial console and not to the virtual console?

if so, does booting with

console=hvc0 console=tty0

fix your issue?
Comment 4 John Poelstra 2008-10-09 18:20:18 EDT
This bug has been triaged
Comment 5 Adam Tkac 2008-10-10 08:58:22 EDT
I did next inspection about this issue and it seems problem is not in plymouth. /dev/hvc0 doesn't exist when plymouth starts and due this no output is written to KVM console. When I add "mknod /dev/hvc0 c 229 0" command to initrd's init script all works fine.
Comment 6 Adam Tkac 2008-10-10 09:02:25 EDT
As is written in comment #5 reassinging to mkinitrd. Initrd should create /dev/hvc0 on systems where that console exists. (For example something like [ -e /dev/hvc0 ] && emit "mknod /dev/hvc0 c 229 0")
Comment 7 Bug Zapper 2008-11-25 22:42:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jeremy Katz 2009-05-06 11:46:20 EDT
Fixed in git
Comment 9 Bug Zapper 2009-11-18 03:32:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 01:32:16 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.